<div fxLayout="row wrap">
  <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
    <mat-card>
      <mat-card-content>
        <mat-card-title>Liste Des Appareils </mat-card-title>

       <!--<div class="bg-light p-10 p-r-20 p-l-20">
          <mat-form-field>
            <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Search (Filter)">
          </mat-form-field>
        </div>-->

        <div class="responsive-table">
          <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">
            <!-- LastName Column -->
            <ng-container matColumnDef="number">
              <th mat-header-cell *matHeaderCellDef style="font-weight: bold"> N° </th>
              <td mat-cell *matCellDef="let device"> {{device.number}} </td>
            </ng-container>

            <!-- FirstName Column -->
            <ng-container matColumnDef="service">
              <th mat-header-cell *matHeaderCellDef style="font-weight: bold; font-size: 14px"> Service </th>
              <td mat-cell *matCellDef="let device"> {{device.service}} </td>
            </ng-container>

            <!-- FirstName Column -->
            <ng-container matColumnDef="status">
              <th mat-header-cell *matHeaderCellDef style="font-weight: bold; font-size: 14px"> Etat </th>
              <td mat-cell *matCellDef="let device">
                <h5 *ngIf="device.status==='Attribué'" style="color:red">{{device.status}}</h5>
                <h5 *ngIf="device.status==='Libre'" style="color:green">{{device.status}}</h5>
                <h5 *ngIf="device.status==='Maintenance'" style="color:darkorange">{{device.status}}</h5>
              </td>
            </ng-container>

            <ng-container matColumnDef="action">
              <th mat-header-cell *matHeaderCellDef style="font-weight: bold; font-size: 14px"> Changement d'Etat </th>
              <td mat-cell *matCellDef="let device">
                <button *ngIf="device.status === 'Attribué' ||'Maintenance'" mat-stroked-button color="accent"
                        (click)="onclickSwitchDeviceStatus(device.id, 'Libre')" style="color: green">Libre</button>
                <button *ngIf="device.status === 'Libre' || 'Maintenance'" mat-stroked-button color="accent"
                        (click)="onclickSwitchDeviceStatus(device.id, 'Attribué')" style="color: red">Attribué</button>
                <button *ngIf="device.status === 'Libre' || 'Attribué'" mat-stroked-button color="accent"
                        (click)="onclickSwitchDeviceStatus(device.id, 'Maintenance')" style="color: darkorange">Maintenace</button>
              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
          </table>
        </div>

      </mat-card-content>
    </mat-card>

    <mat-card style="width:600px">
      <mat-card-title style="margin-left: 10px; border-bottom: 2px solid black; color:#028ee1">Informations</mat-card-title>
      <mat-card-content style="width:800px">
        <h4> Total des DM: {{totalDm}} </h4>
        <h4> Le nombre de DM disponible: {{restDMdispo}} </h4>
        <h4> Le nombre de DM utilisé: {{restInDMdispo}} </h4>
        <h4> Le nombre de DM en Maintenance: {{restMaintenance}} </h4>
      </mat-card-content>
    </mat-card>
  </div>
</div>
